Plug-ins and modules

Download a plug-in or module for your e-commerce platform to integrate Klarna's payment methods into your store easily and without writing a single line of code.

Magento 2.x (Klarna Payments)

Requirements

Magento Community & Enterprise Edition versions:

  • 2.1.* (excludes 2.1.3 due to Magento core bugs)
  • 2.2.* 

PHP Version

  • PHP 5.6.x (only on Magento 2.1)
  • PHP 7.0.x
  • PHP 7.1.x (only on Magento 2.2)

We strongly recommend PHP 7.0 or higher

3.0.1 / 2017-12-20
==================

  * Allow Magento 2.1.1
  * Allow Magento 2.2.2

3.0.0 / 2017-10-04
==================

  * Update to Guzzle 6.x
  * Move payment configuration section into 'Recommended' section

 

Magento 1.x (Klarna Payments)

Requirements

Magento Community Edition versions:

  • 1.9.* CE
  • 1.8.* CE

Magento Enterprise Edition versions: (NOTE: EE specific features are not currently supported)

  • 1.14.* EE
  • 1.13.* EE

PHP Version

  • PHP 5.6.x

Note: that this module is not compatible with earlier version.

Instructions

Download (Global) [Instructions]

 


Magento 2.x (Klarna Checkout)

Requirements

Magento Community & Enterprise Edition versions:

  • 2.1.* (excludes 2.1.3 due to Magento core bugs)
  • 2.2.* 

PHP Version

  • PHP 5.6.x (only on Magento 2.1)
  • PHP 7.0.x
  • PHP 7.1.x (only on Magento 2.2)

We strongly recommend PHP 7.0 or higher

 

4.1.0 / 2017-12-20
==================

  * Allow to disable giftcards, storecredit, and rewards
  * Update success page to show more of native Magento success page
  * Fix XML validation issue due to use of 'unset' (fixes Magento 2.2.1 and higher)
  * Allow Magento 2.1.1
  * Allow Magento 2.2.2

4.0.1 / 2017-11-15
==================

  * Add listener for any input changes in shipping additional block

4.0.0 / 2017-10-30
==================

  * Update Guzzle to 6.x
  * Add support for additional shipping info
  * Add support for disabling shipping in iframe for markets that support it
  * Move payment configuration section into 'Recommended' section
  * Change labels for API versions (changed v3 UK to v3 Europe)
  * Various bug fixes (see changelog in submodules)

3.0.0 / 2017-10-04
==================

  * Add Enterprise support

2.1.0 / 2017-10-04
==================

  * Change the way version info is handled in submodules

2.0.0 / 2017-09-18
==================

  * Initial Release on Marketplace

Magento 1.x (Klarna Checkout)

Requirements

Magento Community Edition versions:

  • 1.9.* CE
  • 1.8.* CE

Magento Enterprise Edition versions:

  • 1.14.* EE
  • 1.13.* EE

PHP Version

  • PHP 5.6.x

Note: that this module is not compatible with earlier version.

Instructions

Download (US, UK, NL) [Instructions]